Subject: bug#2864: emacsclient bugs..

From: Dan Nicolaescu <[email-masked]>
Date: Thu, 2 Apr 2009 12:50:20 -0700 (PDT)

"Alfred M. Szmidt" <[email-masked]> writes:

  > There are a few problems with emacsclient in CVS, first one is that
  > one cannot run emacsclient from the build directory, you can do this
  > with emacs just fine.  But emacsclien gets confused as to where things
  > are, and you must do a `make install' to be able to use emacsclient
  > properly.

Can you please describe what you do step by step?
I can't reproduce it here.

  > The second one is that the handling of -a/--alternative-editor is
  > problematic,
  > 
  > $ emacs/lib-src/emacsclient -a -c
  > emacs/lib-src/emacsclient: file name or argument required
  > Try `emacs/lib-src/emacsclient --help' for more information
  > 
  > According to the docstring, the argument to -a is optional, but one
  > must supply a empty string explicitly for things to work as
  > advertised.

There was a typo in the code that made the info about the empty string
not appear, it should be fixed now.

The argument to -a is not optional, neither are the arguments for 
-d -f -s (which are documented in the same way as -a in --help).
What needs to be done to make that clearer?